require_relative  'windowsFileSystem'
require_relative  'cryptowallFinder'
require_relative  'filecreate'

@outputFile = Filecreate.new
@outputFile.filename = "files.txt"
@outputFile.create
@fileSystem = Windowsfilesystem.new
@drives = @fileSystem.allDrives
puts @drives
@drives.each do |drive|
	if drive.DriveType == 2
		@finder = Cryptowallfinder.new
		@finder.outputFile = @outputFile
		@finder.path = drive.Path
		@finder.findInfectedFiles
	end
end









